{
  onTryHit(target, source, move) {
    if (move.type === 'Rock' && move.category !== 'Status') {
      this.add('-immune', target, '[from] ability: Mountaineer');
      return null;
    }
  },

  onDamage(damage, target, source, effect) {
    if (effect && effect.id === 'stealthrock') {
      this.add('-immune', target, '[from] ability: Mountaineer');
      return false;
    }
  },

  flags: {},
  name: "Mountaineer",
  rating: 3,
  num: -1004,
}
